- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionButton Class Reference

Search for all occurrences

## Detailed Description

Definition at line 279 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionButton:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Button }
enum | StyleOptionVersion { Version = 1 }
enum | ButtonFeature { None = 0x00, Flat = 0x01, HasMenu = 0x02, DefaultButton = 0x04, AutoDefaultButton = 0x08, CommandLinkButton = 0x10 }
## Public Member Functions
| QStyleOptionButton ()
| QStyleOptionButton (const QStyleOptionButton &other)
## Public Attributes
ButtonFeatures | features
QString | text
QIcon | icon
QSize | iconSize
## Protected Member Functions
| QStyleOptionButton (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 282 of file qstyleoption.h.

    { Type = SO_Button };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 283 of file qstyleoption.h.

    { Version = 1 };

enum ButtonFeature

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Flat | Search for all occurrences
  HasMenu | Search for all occurrences
  DefaultButton | Search for all occurrences
  AutoDefaultButton | Search for all occurrences
  CommandLinkButton | Search for all occurrences

Definition at line 285 of file qstyleoption.h.

                           { None = 0x00, Flat = 0x01, HasMenu = 0x02, DefaultButton = 0x04,
                             AutoDefaultButton = 0x08, CommandLinkButton = 0x10  };

## Constructor & Destructor Documentation

QStyleOptionButton | ( |  | ) |

QStyleOptionButton | ( | const QStyleOptionButton & | other | ) | `[inline]`

Definition at line 295 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionButton | ( | int | version | ) | `[protected]`

## Member Data Documentation

ButtonFeatures features

Search for all occurrences

Definition at line 289 of file qstyleoption.h.

QString text

Search for all occurrences

Definition at line 290 of file qstyleoption.h.

QIcon icon

Search for all occurrences

Definition at line 291 of file qstyleoption.h.

QSize iconSize

Search for all occurrences

Definition at line 292 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton
QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton QStyleOptionButton